<?php
    if (isset($_GET['setting_seccion']) && $_GET['setting_seccion'] == "exclusion-list-report-details") {
        include_once('safetag-report-page-details-bycampaign.php');
        exit;
    }
    $pid = sanitize_text_field($_GET['pid']);
    $status = sanitize_text_field($_GET['campaign_status'] ?? true);

    if ((isset($_GET['pid']) && trim($_GET['pid']) != '')) {
        $campaign = Safetag_Db_Management::get_exclusion_list_by_id($pid);
        $campaign_name = isset($campaign->name) ? $campaign->name : '';
        $campaign_type = $campaign->type ? 'Include' : 'Exclude';
        $campaign_status = $campaign->active ? 'Active' : 'Inactive';
    }
    $alphabetic_stat = Safetag_Db_Management::get_alphabetic_keywords_match_stat_bycampaign_id($pid);
    $alphabetic_stat_records = $alphabetic_stat['result'];
    $alphabetic_stat_records_slice_temp = array_slice($alphabetic_stat_records,0,250);

    $alphabetic_stat_records_slice = array_slice($alphabetic_stat_records_slice_temp,$_GET['slice_number'],25);
    $pagination_number = round(count($alphabetic_stat_records_slice_temp)/25);
    $alphabetic_stat_total = Safetag_Db_Management::get_total_keywords_match_stat_bycampaign_id($pid);
    $alphabetic_stat_total_records = $alphabetic_stat_total['result'];
    foreach ($alphabetic_stat_total_records as $key => $value) {
        $total_keywords = $value -> total;
    }
    $distinct_keywords_total = Safetag_Db_Management::get_total_distinct_keywords_match_stat_bycampaign_id($pid);
    $distinct_keywords_total_records = $distinct_keywords_total['result'];
    $total_distinct_keywords = count($distinct_keywords_total_records);

    $campaign_keywords_detail = Safetag_Db_Management::get_exclusion_list_history_by_exclution_list_id($pid);

    // $campaign_keywords_detail_count = substr_count($campaign_keywords_detail->keywords, ' ');
    $campaign_keywords_detail_array = explode(' ', $campaign_keywords_detail->keywords);
    $campaign_keywords_detail_array2 = explode(PHP_EOL, $campaign_keywords_detail->keywords);
    $campaign_keywords_detail_count = count($campaign_keywords_detail_array2);
    $campaign_keywords_detail_array2_slice_temp = array_slice($campaign_keywords_detail_array2,0,250);
    $pagination_number_all = round(count($campaign_keywords_detail_array2_slice_temp)/25);
    $campaign_keywords_detail_array2_slice = array_slice($campaign_keywords_detail_array2_slice_temp, sanitize_text_field($_GET['slice_number']),25);
    //campaign post report chart
    $campaign_post_report = Safetag_Db_Management::get_total_campaign_post_report_bycampaign_id($pid);
    $total_post = $campaign_post_report['safe'] + $campaign_post_report['excluded'] + $campaign_post_report['update_required'];
    
    $safe_end = get_campaign_percentage($campaign_post_report['safe'],$total_post);
    $excluded_end = get_campaign_percentage($campaign_post_report['excluded'],$total_post);
    $update_required_end = get_campaign_percentage($campaign_post_report['update_required'],$total_post);
    
    $safe_style = "blue 0 $safe_end%";
    $last_end = 100 - $update_required_end;
    $excluded_style = !empty($excluded_end) ? ", orange $safe_end% $last_end%" : '';
    $update_required_style = !empty($update_required_end) ? ", red $last_end% 100%" : '';

    function get_campaign_percentage ( $count, $length ){
        if(empty($count)){
            return 0;
        }
        return round(($count/$length)*100,2);
    }
?>
<div class="wrap safetag-reports">
    <div class="safetag-flex-container pull-lr-16 safetag-align-middle">
      <div class="safetag-columns safetag-sm-full"><h1><?php esc_html_e($campaign_name, 'safetag'); ?></h1></div>
    </div>
    <div class="mb-25">
        <?php esc_html_e($campaign_type, 'safetag'); ?> <span class="safetag-separator">|</span> <?php esc_html_e($campaign_status, 'safetag'); ?> <span class="safetag-separator">|</span> <?php echo esc_html($campaign_keywords_detail_count); ?> Terms
    </div>
    <div>
    <div class="safetag-flex-container pull-lr-10 safetag-align-middle mb-20">
        <div class="plr-10">
            <label class="switch" for="show-matched-terms-status">
                <input id="show-matched-terms-status" type="checkbox" checked="checked" onclick="safeTagToggleMatchTerms();">
                <span class="slider round"></span>
                <span class="switch-active" aria-hidden="true">Yes</span>
                <span class="switch-inactive" aria-hidden="true">No</span>
            </label>
        </div>
        <div class="plr-15">
            <label for="show-matched-terms-status" class="bold">Show Matched Terms Only</label>
        </div>
    </div>
    <div class="safetag-flex-container pull-lr-16">
      <div class="safetag-columns safetag-col-8">
        <div id="report_table_by_matches">
            <div class="safetag-flex-container pull-lr-16">
                <div class="safetag-columns safetag-col-12 safetag-sm-full">
                    <div class="safetag-flex-container safetag-align-justify mb-20 pull-lr-10">
                        <div class="plr-10">
                            Matched Terms : <?php echo esc_html($total_distinct_keywords); ?> 
                        </div>
                        <div class="plr-10">
                            <a class="page-title-action" href="<?php echo Safetag_Admin::generate_url(
                                    [
                                        "setting_seccion" => "safetag-report-export",
                                        "pid" => $pid
                                    ],
                                    esc_html($_GET['page'])
                                ); ?>">DOWNLOAD CSV</a>
                        </div>
                    </div>
                    <table class=" wp-list-table widefat fixed striped table-view-list mb-20">
                        <thead>
                            <tr>
                                <th class="safetag-min-col"><strong>Term</strong></th>
                                <th class="safetag-smaller-col"><strong>Matches</strong></th>
                                <th class="safetag-percentage-col"><strong>%</strong></th>
                                <th class="safetag-smaller-col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($alphabetic_stat_records_slice as $key => $value) {  ?>
                                <tr>
                                    <td><?php echo esc_html($value->keywords); ?></td>
                                    <td><?php echo esc_html($value->total); ?></td>
                                    <td><?php echo esc_html(round(($value->total/$total_post)*100,2)); ?>%</td>
                                    <td>
                                        <a href="<?php echo Safetag_Admin::generate_url(
                                                        [
                                                            "setting_seccion" => "exclusion-list-report-details",
                                                            "pid" => $pid,
                                                            "pname" => $campaign_name,
                                                            "keyword" => urlencode($value->keywords),
                                                            "total" => $value->total
                                                        ],
                                                        esc_html($_GET['page'])
                                                    ); ?>">VIEW</a>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="pagination">
                <ul class="page-numbers">
                    <?php for($i=0; $i<$pagination_number; $i++) : ?>
                        <li><a href="<?php echo Safetag_Admin::generate_url(
                            [
                                "setting_seccion" => "exclusion-list-report",
                                "pid" => $pid,
                                "slice_number" => $i*25,
                                "campaign_status" => 'true'
                            ],
                            esc_html($_GET['page'])
                        ); ?>"><?php echo esc_html($i+1); ?></a></li>
                    <?php endfor; ?>
                </ul>
            </div>
        </div>
        <div id="report_table_by_matches_all">
            <div class="safetag-flex-container pull-lr-16">
                <div class="safetag-columns safetag-col-12 safetag-sm-full">
                    <div class="safetag-flex-container safetag-align-justify mb-20 pull-lr-10">
                        <div class="plr-10">
                            Matched Terms : <?php echo esc_html($campaign_keywords_detail_count); ?>
                        </div>
                        <div class="plr-10">
                            <a class="page-title-action" href="<?php echo Safetag_Admin::generate_url(
                                    [
                                        "setting_seccion" => "safetag-report-export",
                                        "pid" => $pid,
                                        "all" => "true"
                                    ],
                                    esc_html($_GET['page'])
                                ); ?>">DOWNLOAD CSV</a>
                        </div>
                    </div>
                    <table class=" mb-40 wp-list-table widefat fixed striped table-view-list">
                        <thead>
                            <tr>
                                <th class="safetag-min-col"><strong>Term</strong></th>
                                <th class="safetag-smaller-col"><strong>Matches</strong></th>
                                <th class="safetag-percentage-col"><strong>%</strong></th>
                                <th class="safetag-smaller-col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($campaign_keywords_detail_array2_slice as $value) { ?>
                                <?php if (!empty($value)) {?>
                                    <tr>
                                        <td><?php echo esc_html($value); ?></td>
                                        <td><?php $t = Safetag_Db_Management::get_alphabetic_keywords_match_stat_bycampaign_id_and_keyword($pid, trim($value)); $t = $t['result']; foreach($t as $key => $value3){$t_total = $value3 -> total;}; echo esc_html($t_total);?></td>
                                        <td><?php echo round(($t_total/$total_post)*100,2); ?>%</td>
                                        <td>
                                            <a href="<?php echo Safetag_Admin::generate_url(
                                                            [
                                                                "setting_seccion" => "exclusion-list-report-details",
                                                                "pid" => $pid,
                                                                "pname" => $campaign_name,
                                                                "keyword" => urlencode($value),
                                                                "total" => $t_total
                                                            ],
                                                            esc_html($_GET['page'])
                                                        ); ?>">VIEW</a>
                                        </td>
                                    </tr>
                                <?php } ?>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="pagination">
                <input type="hidden" value="<?php echo $status; ?>" id="campaign_status" >
                <ul class="page-numbers">
                    <?php for($i=0; $i<$pagination_number_all; $i++) : ?>
                        <li><a href="<?php echo Safetag_Admin::generate_url(
                            [
                                "setting_seccion" => "exclusion-list-report",
                                "pid" => $pid,
                                "slice_number" => $i*25,
                                "campaign_status" => 'false'
                            ],
                            esc_html($_GET['page'])
                            ); ?>"><?php echo esc_html($i+1); ?>
                        </a></li>
                    <?php endfor; ?>
                </ul>

            </div>
        </div>
      </div>
      <div class="safetag-columns safetag-col-4">
        <div id="safetag-pie-chart-container">
          <div id="safetag-pie-chart" style="background: conic-gradient( <?php echo $safe_style . $excluded_style . $update_required_style; ?>  );"></div>
          <div id="safetag-legends">
              <div class="entry <?php if($campaign_post_report['safe'] == 0 ) echo 'hide';?> ">
                  <div id="color-blue" class="entry-color"></div>
                  <div class="entry-text">
                      <p>Safe -</p> 
                      <p><?php echo $campaign_post_report['safe'] ?></p>
                  </div>
              </div>
              <div class="entry <?php if($campaign_post_report['excluded'] == 0 ) echo 'hide';?> ">
                  <div id="color-orange" class="entry-color"></div>
                  <div class="entry-text">
                      <p><?php esc_html_e($campaign_type, 'safetag'); ?> -</p>
                      <p><?php echo $campaign_post_report['excluded'] ?></p>
                  </div>
              </div>
              <div class="entry <?php if($campaign_post_report['update_required'] == 0 ) echo 'hide';?> ">
                  <div id="color-red" class="entry-color"></div>
                  <div class="entry-text">
                      <p>Not Scanned - </p>    
                      <p><?php echo $campaign_post_report['update_required'] ?></p>
                  </div>
              </div>
            </div>
          </div>
        </div>
    </div>

<script type="text/javascript">
    document.getElementById("show-matched-terms-status").checked = JSON.parse(document.getElementById('campaign_status').value);
    const show_matched_terms_status = document.querySelector("#show-matched-terms-status");
    const report_table_by_matches = document.querySelector("#report_table_by_matches");
    const report_table_by_matches_all = document.querySelector("#report_table_by_matches_all");
    safeTagToggleMatchTerms();

    function safeTagToggleMatchTerms(){
      if(show_matched_terms_status.checked == true){
        report_table_by_matches.style.display = "block";
        report_table_by_matches_all.style.display = "none";
      }else{
        report_table_by_matches.style.display = "none";
        report_table_by_matches_all.style.display = "block";
      }
    }
</script>
