<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    safetag
 * @subpackage safetag/admin/partials
 */
$safetag_license_value = get_option("safetag_license_key");
$site_audience_iab_tags = get_option("site_audience_iab_tags");
$safetag_license = json_decode($safetag_license_value);
$license_key = isset($safetag_license->key) ? $safetag_license->key : "";
$license_status = isset($safetag_license->key) ? $safetag_license->status : "";
$license_status_icon = $license_status == "active" ? "fa-check-circle" : "fa-exclamation-circle";
$site_audience_iab_tags_value = json_decode($site_audience_iab_tags);
?>



<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="safetag-wrap">

    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>

    <?php Safetag_Admin::safetag_admin_notice() ?>

    <div class="safetag-wrap-row safetag-flex-wrap safetag-no-gap">
        <div class="safetag-col-8 safetag-sm-col-12">
            <form method="POST" action="<?php echo esc_url(admin_url('admin-post.php')); ?>">

                <input type="hidden" name="action" value="safetag_config_form_response">
                <input type="hidden" name="page" value="<?php echo esc_html($_GET['page']); ?>">
                <input type="hidden" name="safetag_config_form_nonce" value="<?php echo wp_create_nonce('safetag_config_form_nonce') ?>" />
                <!--License Key form -->


                <table class="form-table ">
                    <thead>
                        <tr>
                            <td>
                                <p><strong>Support License Key</strong></p>
                                <p><a href="#">LEARN MORE</a></p>
                            </td>
                        </tr>
                    </thead>
                    <tbody>

                        <tr>
                            <td>
                                A valid license key is required for access to automatic plugin upgrades and product support.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div class="safetag-wrap-row" style="justify-content: flex-start;">
                                    <div style="width: 55%;">
                                        <label class="safetag-licence-key" for="safetag_license_key">Paste Your License Key Here
                                            <div class="safetag-right-inner-addon input-container">
                                                <i class="safetag-icon fa <?php echo esc_html($license_status_icon); ?> "></i>
                                                <input type="text" required name="nds[safetag_license_key]" id="safetag_license_key" value="<?php echo esc_html($license_key); ?>" class="regular-text" placeholder="License Key" autocomplete="off" />
                                                <input type="hidden" name="nds[safetag_license_status]" value="">
                                            </div>
                                        </label>
                                    </div>
                                    <div class="safetag-license-buttons">
                                        <!-- <input type="submit" name="activate_license" value="AdGrid Client" class="btn-add-grid" /> -->
                                        <input type="submit" name="activate_license" value="Activate" class="button button-primary" />
                                        <input type="submit" name="deactivate_license" value="Deactivate" class="button" />
                                        <input type="submit" name="check_license" value="Check Status" class="button" />
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
            <form method="POST" action="<?php echo esc_url(admin_url('admin-post.php')); ?>">
                <input type="hidden" name="action" value="safetag_iab_tags_form_response">
                <input type="hidden" name="page" value="<?php echo esc_html($_GET['page']); ?>">
                <input type="hidden" name="safetag_iab_tags_form_nonce" value="<?php echo wp_create_nonce('safetag_iab_tags_form_nonce') ?>" />
                <table class="form-table tags-section">  
                    <thead>
                        <tr>
                            <td>
                                <p><strong>Site Audience IAB Tags</strong></p>
                                <p>VIEW TAGS</p>
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>These tags will be passed on all ad calls in addition to the page specific content tags. These are used to identify the site’s typical audience.</td>
                        </tr>
                        <tr>
                            <td>
                                <div class="safetag-wrap-row" style="justify-content: flex-start;">
                                <div class="site-audience-tag">
                                    <input type="hidden" name="safetag_meta_tags_values" id="safetag_meta_tags_values" value='<?php echo esc_html($site_audience_iab_tags); ?>'>
                                    <select autocapitalize="off" name="nds[site_audience_iab_tags][]" id="audience-select-tools"></select>
                                </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <input type="submit" class="safetag_tags_btn submit-button" name="tags_create" value="SAVE" >
            </form> 
        </div>


        <!-- <div class="safetag-col-4 safetag-sm-col-12">
            <form method="POST" action="<?php // echo esc_url(admin_url('admin-post.php')); ?>">

                <input type="hidden" name="action" value="safetag_config_form_response">
                <input type="hidden" name="page" value="<?php //echo $_GET['page'] ?>">
                <input type="hidden" name="safetag_config_form_nonce" value="<?php //echo wp_create_nonce('safetag_config_form_nonce') ?>" />

                <table class="form-table">
                    <thead>
                        <tr>
                            <th>IAB Tags</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr>
                            <td>
                                Allow content editors the ability to select from IAB
                                taxonomy for more targeted ads.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label class="switch">
                                    <input type="checkbox" name="nds[safetag_iab_tag_option]" <?php // echo get_option('safetag_iab_tag_option') != '' ? ' checked="checked" ' : ''; ?>>
                                    <span class=" slider round"></span>
                                </label>
                            </td>
                        </tr>
                    </tbody>
                </table>
        </div> -->
    </div>



        <!--License info table -->
        <!-- <table class="form-table">
            <thead>
                <tr>
                    <th>Features</th>
                </tr>
            </thead>
            <tbody>
                <table style="width: 100%;">
                    <tr>
                        <td></td>
                        <th scope="col">IAB Tags</th>
                        <th scope="col">Ads.txt</th>
                        <th scope="col">Exclusion Lists</th>
                        <th scope="col">Chron</th>
                        <th scope="col">Ad Display</th>
                        <th scope="col">Support</th>
                    </tr>
                    <tr>
                        <th scope="row">Free</th>
                        <td>1st Level</td>
                        <td>Yes</td>
                        <td>3 lists / 100 words</td>
                        <td>No</td>
                        <td>No</td>
                        <td>Online</td>
                    </tr>
                    <tr>
                        <th scope="row">Paid</th>
                        <td>All Levels</td>
                        <td>Yes</td>
                        <td>Unlimited</td>
                        <td>Yes</td>
                        <td>No</td>
                        <td>+ Email</td>
                    </tr>
                    <tr>
                        <th scope="row">SafeTag</th>
                        <td>All Levels</td>
                        <td>Yes</td>
                        <td>Unlimited</td>
                        <td>Yes</td>
                        <td>Yes</td>
                        <td>+ Person</td>
                    </tr>
            </tbody>
        </table> -->
        <!-- switch button table -->
        <div class="safetag-wrap-row">

            <div class="safetag-col-8 safetag-sm-col-12">
                <table class="form-table">
                    <thead>
                        <tr>
                            <td>
                                <strong>Exclusion List Cron</strong>
                            </td>
                        </tr>
                    </thead>
                    <tbody>

                        <tr>
                            <td>
                                If you have long content and multiple exclusion lists
                                realtime scans can take a long time to complete. We
                                suggest running a cron so editors don’t have to wait
                                when saving content. The cron job is set to run every 15
                                minutes and does put an additional load on the
                                server. This is normally set to “Off”.
                                <?php print_safetag_log() ?>
                                <br>
                                <hr>
                                <?php print_safetag_cron_statistics() ?>
                            </td>
                        </tr>
                        <!-- <tr>
                            <td>
                                <label class="switch">
                                    <input type="checkbox" name="nds[safetag_exclution_list_chron_option]" <?php // echo get_option('safetag_exclution_list_chron_option') != '' ? ' checked="checked" ' : ''; ?>>
                                    <span class=" slider round"></span>
                                </label>
                            </td>
                        </tr> -->
                    </tbody>
                </table>
            </div>
            
        </div>
        <!-- <p class="submit">
            <input type="submit" name="submit" id="submit" class="buttonx button-primary" value="Save">
        </p> -->

</div>
<script type="text/javascript">
    // The DOM element you wish to replace with Tagify
    var input = document.querySelector('input[id=safetag-input-tags]');

    // initialize Tagify on the above input node reference
    new Tagify(input)
</script>
<?php

function print_safetag_log()
{
    $log = Safetag_Log::get_latest_record();

    if ($log != null && $log != '') {
        echo "<br><hr>";
        echo "Log:";
        echo "<br>";
        $logData = json_decode($log);
        if ($logData->type == "Exception") {
            echo "Exception:" . esc_html($logData->rowAffected);
        } else if ($logData->type == "Starting") {
            echo "start: " . esc_html($logData->start) . " | Status: In progress.";
        } else {
            echo "start: " . esc_html($logData->start) . " | end: " . esc_html( $logData->end) . " | seconds: " . esc_html( $logData->totalSeconds ) . " | post: " . esc_html($logData->posts) . " | rowAffected: " . esc_html($logData->rowAffected);
        }
    };
}

function print_safetag_cron_statistics()
{
    $updated = Safetag_Db_Management::get_post_campain_keywords_all_count(0)->count;
    $require_update = Safetag_Db_Management::get_post_campain_keywords_all_count(1)->count;
    $total = $require_update + $updated;
    $percentaje = number_format((100 * $updated / ($require_update + $updated)), 2);
    if($percentaje == 'nan')
        $percentaje = '0';
    echo "total: " .  esc_html($total) . " | " . "missing: " . esc_html($require_update) . " | " . "updated: " .  esc_html($updated) . " | " . "completed: " . esc_html($percentaje)  . "%";
}
?>
