<?php

/**
 *
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    safetag
 * @subpackage safetag/includes
 */

/**
 *
 *
 * description.
 *
 * @since      1.0.0
 * @package    safetag
 * @subpackage safetag/includes
 * @author     Your Name <email@example.com>
 */
class Safetag_Page_Helper
{

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function paged_generator($getDataPagination, $columns, $items_per_page, $params = array())
    {
        // pagination properties.
        $page = isset($_GET['adgpaged']) ? abs((int) sanitize_text_field($_GET['adgpaged'])) : 1;
        $offset = ($page * $items_per_page) - $items_per_page;

        // Order column properties
        $column = isset($_GET['column']) && in_array($_GET['column'], $columns) ? sanitize_text_field($_GET['column']) : sanitize_text_field($columns[0]);
        $sort_order = isset($_GET['order']) && strtolower($_GET['order']) == 'asc' ? 'ASC' : 'DESC';

        // Order column properties inverse
        $up_or_down = str_replace(array('ASC', 'DESC'), array('up', 'down'), $sort_order);
        $asc_or_desc = $sort_order == 'DESC' ? 'asc' : 'desc';
        $add_class = ' class="highlight"';

        //var_dump($params);
        $function_parameters = array($offset, $items_per_page, $column, $sort_order);
        $function_parameters = array_merge($function_parameters, $params);
        $data = call_user_func_array($getDataPagination, $function_parameters);
        //$data = $getDataPagination($offset, $items_per_page, $column, $sort_order, ...$params);

        $prev_arrow = is_rtl() ? '→' : '←';
        $next_arrow = is_rtl() ? '←' : '→';
        $pagination = paginate_links(array(
            'base' => add_query_arg('adgpaged', '%#%'),
            'format' => '',
            'total' => ceil($data['total'] / $items_per_page),
            'current' => $page,
            'type'             => 'list',
            'prev_text'        => $prev_arrow,
            'next_text'        => $next_arrow,
        ));

        return array(
            "total" => $data['total'],
            "result" => $data['result'],
            "paged-link" => $pagination
        );
    }
}
