(function ($) {
  "use strict";
  $(function () {
    if (typeof safetag_config !== 'undefined' && safetag_config != null) {
      fetch("/wp-json/safetag-api/v1/post-campaign/" + safetag_config.post_id, {
        headers: {
          "Content-type": "application/json; charset=UTF-8",
        },
      })
        .then(function (response) {
          return response.json();
        })
        .then(function (response) {
          if (response.is_valid) {
            // Include and Exclude window object
            window.safetag_lists = {
              Exclude: !response.keyword_result_is_pending
                ? response.keyword_result
                    .filter((campaign) => campaign.type == 0)
                    .map((campaign) => campaign.name)
                : null,
              Include: !response.keyword_result_is_pending
                ? response.keyword_result
                    .filter((campaign) => campaign.type == 1)
                    .map((campaign) => campaign.name)
                : null,
            };

            // IAB Tags Window object.
            window.safetag_fpd = {
              iab: response.tags,
              cattax: 2,
            };
          }
        })
        .catch(function (error) {
          console.log(error);
        });
    }
  });
})(jQuery);
